FUTIMES(3)

NAME
futimes - change access and/or modification times of an open file

SYNOPSIS
#include <sys/time.h>

int futimes(int fd, const struct timeval tv[2]);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

futimes(): _BSD_SOURCE

DESCRIPTION
futimes() changes the access and modification times of a file in the same way as utimes(2), with the difference that the file whose timestamps are to be changed is specified via a file descriptor, fd, rather than via a pathname.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS
Errors are as for utimes(2), with the following additions:

EBADF
    fd is not a valid file descriptor.

ENOSYS
    The /proc file system could not be accessed.

VERSIONS
futimes() is available since glibc 2.3.

CONFORMING TO
4.2BSD. Other than Linux, this function is only available on the BSDs.

SEE ALSO
futimesat(2), utime(2)